package com.fjs.scenic.entity.system;

public class Permission {
    private Integer id;

    private String name;

    private String url;

    private Byte lever;

    private Integer seq;

    private Integer pid;

    private String icon;

    public Permission(Integer id, String name, String url, Byte lever, Integer seq, Integer pid, String icon) {
        this.id = id;
        this.name = name;
        this.url = url;
        this.lever = lever;
        this.seq = seq;
        this.pid = pid;
        this.icon = icon;
    }

    public Permission() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public Byte getLever() {
        return lever;
    }

    public void setLever(Byte lever) {
        this.lever = lever;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }
}